cairomm: Cairo::FontOptions Class Reference

cairomm 1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
Cairo::FontOptions Class Reference

The font options specify how fonts should be rendered. More...

## Public Types
typedef cairo_font_options_t | cobject

## Public Member Functions
| FontOptions ()
| FontOptions (cairo_font_options_t*cobject, bool take_ownership=false)
| FontOptions (const FontOptions& src)
virtual | ~FontOptions ()
FontOptions& | operator= (const FontOptions& src)
bool | operator== (const FontOptions& src) const
void | merge (const FontOptions& other)
| Merges non-default options from other into this, replacing existing values. More...
unsigned long | hash () const
| Compute a hash for the font options object; this value will be useful when storing an object containing a FontOptions in a hash table. More...
void | set_antialias (Antialias antialias)
| Sets the antialiasing mode for the font options object. More...
Antialias | get_antialias () const
| Gets the antialiasing mode for the font options object. More...
void | set_subpixel_order (SubpixelOrder subpixel_order)
| Sets the subpixel order for the font options object. More...
SubpixelOrder | get_subpixel_order () const
| Gets the subpixel order for the font options object. More...
void | set_hint_style (HintStyle hint_style)
| Sets the hint style for font outlines for the font options object. More...
HintStyle | get_hint_style () const
| Gets the hint style for font outlines for the font options object. More...
void | set_hint_metrics (HintMetrics hint_metrics)
| Sets the metrics hinting mode for the font options object. More...
HintMetrics | get_hint_metrics () const
| Gets the metrics hinting mode for the font options object. More...
cobject* | cobj ()
const cobject* | cobj () const

## Protected Attributes
cobject* | m_cobject

## Detailed Description

The font options specify how fonts should be rendered.

Most of the time the font options implied by a surface are just right and do not need any changes, but for pixel-based targets tweaking font options may result in superior output on a particular display.

## Member Typedef Documentation

typedef cairo_font_options_t Cairo::FontOptions::cobject

## Constructor & Destructor Documentation

Cairo::FontOptions::FontOptions | ( |  | ) |

Cairo::FontOptions::FontOptions | ( | cairo_font_options_t * | cobject,
|  | bool | take_ownership = `false`
| ) |  |
| explicit

Cairo::FontOptions::FontOptions | ( | const FontOptions& | src | ) |

virtual Cairo::FontOptions::~FontOptions | ( |  | ) |
| virtual

## Member Function Documentation

cobject* Cairo::FontOptions::cobj | ( |  | ) |
| inline

const cobject* Cairo::FontOptions::cobj | ( |  | ) | const
| inline

Antialias Cairo::FontOptions::get_antialias | ( |  | ) | const

Gets the antialiasing mode for the font options object.

Returns
  the antialiasing mode

HintMetrics Cairo::FontOptions::get_hint_metrics | ( |  | ) | const

Gets the metrics hinting mode for the font options object.

See the documentation for HintMetrics for full details.

Return value: the metrics hinting mode for the font options object.

HintStyle Cairo::FontOptions::get_hint_style | ( |  | ) | const

Gets the hint style for font outlines for the font options object.

See the documentation for HintStyle for full details.

Returns
  the hint style for the font options object.

SubpixelOrder Cairo::FontOptions::get_subpixel_order | ( |  | ) | const

Gets the subpixel order for the font options object.

See the documentation for SubpixelOrder for full details.

Returns
  the subpixel order for the font options object.

unsigned long Cairo::FontOptions::hash | ( |  | ) | const

Compute a hash for the font options object; this value will be useful when storing an object containing a FontOptions in a hash table.

Returns
  the hash value for the font options object. The return value can be cast to a 32-bit type if a 32-bit hash value is needed.

void Cairo::FontOptions::merge | ( | const FontOptions& | other | ) |

Merges non-default options from other into this, replacing existing values.

This operation can be thought of as somewhat similar to compositing other onto this with the operation of OPERATION_OVER.

Parameters

  other | another FontOptions

FontOptions& Cairo::FontOptions::operator= | ( | const FontOptions& | src | ) |

bool Cairo::FontOptions::operator== | ( | const FontOptions& | src | ) | const

void Cairo::FontOptions::set_antialias | ( | Antialias | antialias | ) |

Sets the antialiasing mode for the font options object.

This specifies the type of antialiasing to do when rendering text.

Parameters

  antialias | the new antialiasing mode.

void Cairo::FontOptions::set_hint_metrics | ( | HintMetrics | hint_metrics | ) |

Sets the metrics hinting mode for the font options object.

This controls whether metrics are quantized to integer values in device units. See the documentation for HintMetrics for full details.

Parameters

  hint_metrics | the new metrics hinting mode.

void Cairo::FontOptions::set_hint_style | ( | HintStyle | hint_style | ) |

Sets the hint style for font outlines for the font options object.

This controls whether to fit font outlines to the pixel grid, and if so, whether to optimize for fidelity or contrast. See the documentation for HintStyle for full details.

Parameters

  hint_style | the new hint style.

void Cairo::FontOptions::set_subpixel_order | ( | SubpixelOrder | subpixel_order | ) |

Sets the subpixel order for the font options object.

The subpixel order specifies the order of color elements within each pixel on the display device when rendering with an antialiasing mode of Cairo::ANTIALIAS_SUBPIXEL. See the documentation for SubpixelOrder for full details.

Parameters

  subpixel_order | the new subpixel order.

## Member Data Documentation

cobject* Cairo::FontOptions::m_cobject
| protected

The documentation for this class was generated from the following file:

- cairomm/fontoptions.h